# The MEME Suite

## Motif-based sequence analysis tools

## fasta-get-markov

### Usage:

`fasta-get-markov [options] [<sequence file> [<background file>]]`

### Description

The program fasta-get-markov estimates a Markov model from a FASTA file of sequences. It ignores (removes) ambiguous characters before computing the model. The model is based on both strands when using a complementable alphabet unless you specify -norc.

### Input

#### <sequence file>

(Optional) The name of a file of sequences in FASTA format. If omitted, the sequences are read from standard input.

#### [<background file>]

(Optional) The name of a file to receive the output. If omitted, writes to standard output. Must be omitted if reading from standard input.

### Output

Writes a Markov background model to standard output or optionally to a file.

### Options

Option | Parameter | Description | Default Behavior
--- | --- | --- | ---
General Options
-m | n | Estimate a Markov model of order n. | A 0-order Markov model is estimated.
-full |  | Use exactly the of symbols in the sequences as the alphabet. | Autodetect DNA or protein alphabet.
-counts |  | Output counts instead of probabilities and skip writing entries with no counts. Options -norc and -pseudo are ignored. | Output probabilities as normal.
-norc |  | Do not combine forward and reverse complement frequencies for complementable alphabets. |
-pseudo | count | Pseudocount added to avoid probabilities of zero. | Adds a pseudocount of 0.1.
-nostatus |  | Do not display progress messages to standard error. | Displays a progress message every half a second.
-nosummary |  | Do not display a summary report after completion even when a output background file is specified. | Display a summary report to standard output after the program has finished when a output background file has been specified.